package com.zjrs.ggfw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName(value = "v_rs_rlzy_zcqk")
public class RsRlzyZcqkPO {
    @TableId(value = "rs_rlzy_zcqk_lsh", type = IdType.ASSIGN_UUID)
    @TableField(value = "rs_rlzy_zcqk_lsh")
    private String rsrlzyzcqklsh;//职称情况流水号

    @TableField(value = "rs_yhlsh")
    private String rsyhlsh;//用户流水号

    private String zcmc;//职称名称
    private String zgdj;//资格等级
    private String hqsj;//获取时间

    @TableField(value = "ts_cjr")
    private String tscjr;//创建人

    @TableField(value = "ts_cjsj")
    private String tscjsj;//创建时间

    @TableField(value = "ts_xgr")
    private String tsxgr;//修改人

    @TableField(value = "ts_xgsj")
    private String tsxgsj;//修改时间

    private String zcxl;//职称系列
    private String pdfs;//评定方式
    private String zcsm;//职称说明

    @TableField(value = "ts_yxbz")
    private String tsyxbz;//有效标志

    @TableField(exist = false)
    private String dyblsh;//对应表流水号
    @TableField(exist = false)
    private String zgdjname;

    public void setDyblsh(String dyblsh) {
        this.dyblsh = dyblsh;
    }

    public String getZgdjname() {
        return zgdjname;
    }

    public void setZgdjname(String zgdjname) {
        this.zgdjname = zgdjname;
    }

    public String getDyblsh() {
        return dyblsh;
    }

    public String getRsrlzyzcqklsh() {
        return rsrlzyzcqklsh;
    }

    public void setRsrlzyzcqklsh(String rsrlzyzcqklsh) {
        this.rsrlzyzcqklsh = rsrlzyzcqklsh;
    }

    public String getRsyhlsh() {
        return rsyhlsh;
    }

    public void setRsyhlsh(String rsyhlsh) {
        this.rsyhlsh = rsyhlsh;
    }

    public String getZcmc() {
        return zcmc;
    }

    public void setZcmc(String zcmc) {
        this.zcmc = zcmc;
    }

    public String getZgdj() {
        return zgdj;
    }

    public void setZgdj(String zgdj) {
        this.zgdj = zgdj;
    }

    public String getHqsj() {
        return hqsj;
    }

    public void setHqsj(String hqsj) {
        this.hqsj = hqsj;
    }

    public String getTscjr() {
        return tscjr;
    }

    public void setTscjr(String tscjr) {
        this.tscjr = tscjr;
    }

    public String getTscjsj() {
        return tscjsj;
    }

    public void setTscjsj(String tscjsj) {
        this.tscjsj = tscjsj;
    }

    public String getTsxgr() {
        return tsxgr;
    }

    public void setTsxgr(String tsxgr) {
        this.tsxgr = tsxgr;
    }

    public String getTsxgsj() {
        return tsxgsj;
    }

    public void setTsxgsj(String tsxgsj) {
        this.tsxgsj = tsxgsj;
    }

    public String getZcxl() {
        return zcxl;
    }

    public void setZcxl(String zcxl) {
        this.zcxl = zcxl;
    }

    public String getPdfs() {
        return pdfs;
    }

    public void setPdfs(String pdfs) {
        this.pdfs = pdfs;
    }

    public String getZcsm() {
        return zcsm;
    }

    public void setZcsm(String zcsm) {
        this.zcsm = zcsm;
    }

    public String getTsyxbz() {
        return tsyxbz;
    }

    public void setTsyxbz(String tsyxbz) {
        this.tsyxbz = tsyxbz;
    }
}


